View all methods

platformx.projects.list

Return a list of PlatformX projects.

Facts

Method GET https://api.getdx.com/platformx.projects.list
Required scope platformx:manage

Arguments (optional)

Name Type Description
page Integer Page number. Defaults to 1.
page_size Integer Page size. Defaults to 100.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/platformx.projects.list \
  --header 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "ok": true,
  "projects": [
    {
      "id": "NTQzOA",
      "name": "Code review feedback.",
      "creator_id": "MjcwODk1Ng",
      "hidden": false,
      "webhook_destination_url": null,
      "updated_at": "2025-10-21T20:15:17Z",
      "created_at": "2025-10-21T19:34:40Z",
      "token": "eYcKChWBYmHsEFYg1q0EzrD4j2EAETin"
    },
    {
      "id": "MTN0MQ",
      "name": "GenAI Usage",
      "creator_id": "MTI",
      "hidden": false,
      "webhook_destination_url": null,
      "created_at": "2025-09-24T21:27:29Z",
      "updated_at": "2025-09-24T22:15:58Z",
      "token": "iiXu6UZY9LVSSV2ge3sC8Si6sPnARqK2"
    }
  ]
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
e>